package com.example.lamano;

import android.util.AttributeSet;
import android.view.*;
import android.content.Context;
import android.content.res.TypedArray;
import android.widget.*;


public class ControlLogin extends LinearLayout
{

	private OnLoginListener listener;
    private EditText txtUsuario; 
    private EditText txtPassword; 
    private Button btnLogin;
    private TextView lblMensaje;
    
    
     public ControlLogin(Context context) {
        super(context);
    inicializar();
     }
 
     public ControlLogin(Context context, AttributeSet attrs) {
    	    super(context, attrs);
    	    inicializar();
    	 // Procesamos los atributos XML personalizados
    	    TypedArray a =
    	        getContext().obtainStyledAttributes(attrs,
    	            R.styleable.ControlLogin);
    	 
    	    String textoBoton = a.getString(
    	            R.styleable.ControlLogin_login_text);
    	 
    	    btnLogin.setText(textoBoton);
    	 
    	    a.recycle();
     }
     
     private void inicializar() {
    	 //Utilizamos el layout 'control_login' como interfaz del control
    	    String infService = Context.LAYOUT_INFLATER_SERVICE;
    	    LayoutInflater li =
    	        (LayoutInflater)getContext().getSystemService(infService);
    	    li.inflate(R.layout.activity_control_login, this, true);
    	 
    	    //Obtenemoslas referencias a los distintos control
    	    txtUsuario = (EditText)findViewById(R.id.TxtUsuario);
    	    txtPassword = (EditText)findViewById(R.id.TxtPassword);
    	    btnLogin = (Button)findViewById(R.id.BtnAceptar);
    	    lblMensaje = (TextView)findViewById(R.id.LblMensaje);
    	 
    	    //Asociamos los eventos necesarios
    	   asignarEventos();
		
	}
     
    public void setMensaje(String msj)
    {
    	lblMensaje.setText(msj);
    }
    
    public void setOnLoginListener(OnLoginListener l)
    {
    	listener = l;
    }
     
    public void asignarEventos()
    {
        btnLogin.setOnClickListener(new OnClickListener()
        {
            @Override
            public void onClick(View v) {
                listener.onLogin(txtUsuario.getText().toString(),
                             txtPassword.getText().toString());
            }
        });
    }

	
}